<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink">

<!-- Edugen XSL Stylesheets V1.0 =======================================

	 File command.xsl for TTA
	 
	 This file is part of the Edugen XSL Stylesheets.
	 Copyright (c) 2002 WWL Corp. - A Subsidiary of John Wiley & Sons, Inc.
========================================================================= -->

<xsl:output method="html" indent="no"/>

<!-- version -->
<xsl:param name="version">1.0</xsl:param>
<!-- dynamic param -->
<xsl:param name="selector" select="/*"/>

<xsl:variable name="courseHttpPath"></xsl:variable>
<xsl:variable name="edugenHttpPath"></xsl:variable>
<xsl:variable name="courseFilePath"></xsl:variable>
<xsl:variable name="edugenFilePath"></xsl:variable>

<xsl:variable name="courseHttpPath">&lt;?11?&gt;?sid=&lt;?1003?&gt;&amp;msg=3&amp;course=&lt;?1008?&gt;&amp;file=</xsl:variable>
<xsl:variable name="edugenHttpPath">&lt;?11?&gt;?sid=global&amp;msg=300&amp;file=</xsl:variable>
<xsl:variable name="courseFilePath">&lt;?303?&gt;</xsl:variable>
<xsl:variable name="edugenFilePath">&lt;?301?&gt;</xsl:variable>

<xsl:attribute-set name="body_attributes">
	<xsl:attribute name="bgcolor">#ffffff</xsl:attribute>
	<xsl:attribute name="text">#000000</xsl:attribute>
	<xsl:attribute name="leftmargin">4</xsl:attribute>
	<xsl:attribute name="topmargin">4</xsl:attribute>
	<xsl:attribute name="marginwidth">4</xsl:attribute>
	<xsl:attribute name="marginheight">4</xsl:attribute>
	<xsl:attribute name="onresize">javascript:if(navigator.appName.indexOf('Netscape')!=-1)self.location.reload();</xsl:attribute>
	<xsl:attribute name="onload">javascript:doOnload();</xsl:attribute>
	<xsl:attribute name="onunload">javascript:doOnunload();</xsl:attribute>
</xsl:attribute-set>

<!-- ============= root =============================== -->
<xsl:template match="/">
<html>
<xsl:comment>
Copyright (c) 2002 WWL Corp. - A Subsidiary of John Wiley &amp; Sons, Inc.
Thank you for examining our code
</xsl:comment>
<head>
<title>Command: <xsl:value-of select="$selector/@id"/></title>
<meta name="generator" content="Edugen XSL Stylesheets V{$version}"/>
<script type="text/javascript" language="JavaScript"><![CDATA[
function getPrefix()
{
	var str = self.location.href;
	return str.substring(0,str.indexOf("<?11?>"));
}

function doOnload()
{
	doCommand();
}
function doOnunload()
{
	
}
function loadingContent(in_page)
{
	var msg = "<?11?>?sid=<?1003?>&msg=4&xml=/media/content/book.xml" +
		"&xsl=/media/content/links.xsl&name=selector&select=//*[Q%3D'" + in_page + "']";
	if (top.frames.frameset.xmlarea != null)
	{
		top.frames.frameset.xmlarea.location = msg;
	}
	else if (top.frames.frameset != null)
	{
		top.frames.frameset.location = msg;
	}	
}
]]>
<xsl:apply-templates select="$selector/script"/>
</script>
</head>
<body xsl:use-attribute-sets="body_attributes">
<xsl:apply-templates select="$selector/body"/>
</body>
</html>
</xsl:template>
<!-- ====== end of root =============================== -->

<!-- ============= command =============================== -->
<xsl:template match="command">
<xsl:apply-templates/>
</xsl:template>
<!-- ====== end of command =============================== -->

<!-- ============= script =============================== -->
<xsl:template match="script">
<xsl:apply-templates/>
</xsl:template>
<!-- ====== end of script =============================== -->

<!-- =========================================================================
	 Thank you for examining our code.
	 Please direct all questions, bug reports, or suggestions for changes
	 to the info@maris.com
========================================================================== -->

</xsl:stylesheet>